Name:     su2-pde
Version: 4.3.0
Release: %mkrel 1
Summary: Stanford University Unstructured (SU2) suite
License: LGPLv2+
Group:   Sciences/Physics
Url:     http://su2.stanford.edu
Source0: http://su2.stanford.edu/download/v2.0/SU2-%{version}.tar.gz
#(eatdirt) currently unapplied
Patch0:  su2-2.0.8-mga-metislib.patch
## Specify the width (32 or 64 bits) of the elementary data type 
## used in METIS. 
Patch1:  su2-2.0.8-width-datatype.patch

BuildRequires: python-devel
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: openmpi-devel
BuildRequires: libgomp-devel
BuildRequires: metis-devel
BuildRequires: zlib-devel

Recommends:    python-numpy
Recommends:    python-scipy

%description
The Stanford University Unstructured (SU2) suite is an open-source
collection of software tools written in C++ for performing Partial
Differential Equation (PDE) analysis and solving PDE-constrained
optimization problems. The toolset is designed with computational
fluid dynamics and aerodynamic shape optimization in mind, but it is
extensible (and has been extended) to treat arbitrary sets of
governing equations such as electrodynamics, chemically reacting
flows, and many others.

%prep
%setup -q -n SU2-%{version}
#(eatdirt) let's see how it goes without
#patch0 -p1
#if [ %{__isa_bits} = "64" ]; then
#patch1 -p1
#fi

%build
autoreconf --install
%configure2_5x --enable-mpi \
               --with-Metis-lib=%{_libdir} \
               --with-Metis-include=%{_includedir} \
               --with-Metis-version=5 \
               --with-ZLIB-include=%{_includedir}               
%make

%install
%make_install

%files
%doc COPYING README.md 
%{_bindir}/SU2_*
%{_bindir}/*.py
%{_bindir}/FSI
%{_bindir}/SU2/*.py
%{_bindir}/SU2/eval
%{_bindir}/SU2/io
%{_bindir}/SU2/mesh
%{_bindir}/SU2/opt
%{_bindir}/SU2/run
%{_bindir}/SU2/util



%changelog
* Fri Dec 02 2016 eatdirt <eatdirt> 4.3.0-1.mga6
+ Revision: 1071758
- Upgrade to version 4.3.0 to support latest openmpi

  + tmb <tmb>
    - rebuild for new openmpi

* Wed Feb 17 2016 umeabot <umeabot> 2.0.8-4.mga6
+ Revision: 962953
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 daviddavid <daviddavid> 2.0.8-3.mga6
+ Revision: 885279
- rebuild for new openmpi 1.10.0

* Wed Oct 15 2014 umeabot <umeabot> 2.0.8-2.mga5
+ Revision: 745700
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.8-1.mga5
+ Revision: 689569
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Dec 08 2013 philippem <philippem> 2.0.8-0.mga5
+ Revision: 555876
- Specify the width (32 or 64 bits) of the elementary data type used in METIS.
- imported package su2-pde

